%define	major	4
%define	libname	%mklibname %{name} %{major}
%define	develname %mklibname %{name} -d

Name:		linuxsampler
Summary:	Professional grade software audio sampler
Version:	2.0.0
Release:	4
License:	GPLv2+
Group:		Sound
URL:		http://www.linuxsampler.org/
Source0:	http://download.linuxsampler.org/packages/%{name}-%{version}.tar.bz2
BuildRequires:	bison
BuildRequires:	pkgconfig(gig) >= 4.0.0
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(dssi)
BuildRequires:	pkgconfig(sqlite3)
#BuildRequires:	pkgconfig(lv2core)
BuildRequires:	lv2-devel

%description
LinuxSampler is a professional grade software audio sampler that aims to
deliver performance and features at par with hardware sampler devices.

%files
%doc ChangeLog COPYING NEWS README
%{_bindir}/%{name}
%{_bindir}/ls_instr_script
%{_bindir}/lscp
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/lscp.1.*
%{_prefix}/README.urpmi
%{_localstatedir}/lib/%{name}/instruments.db


#--------------------------------------------------------------------

%package -n	%{libname}
Group:		System/Libraries
Summary:	Libraries for %{name}
Provides:	lib%{name} = %{EVRD}

%description -n %{libname}
Libraries from %{name}.

%files -n %{libname}
%doc ChangeLog COPYING NEWS README
%dir %{_libdir}/%{name}
#/plugins
%{_libdir}/%{name}/lib%{name}.so.%{major}*

#--------------------------------------------------------------------

%package -n	%{develname}
Group:		Development/Other
Summary:	Libraries for %{name}
Requires:	%{libname} = %{EVRD}
Provides:	lib%{name}-devel = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
%rename		%{_lib}%{name}3-devel

%description -n	%{develname}
Development libraries from %{name}.

%files -n %{develname}
%doc ChangeLog COPYING NEWS README
%dir %{_includedir}/%{name}
%dir %{_includedir}/%{name}/common
%dir %{_includedir}/%{name}/drivers
%dir %{_includedir}/%{name}/drivers/audio
%dir %{_includedir}/%{name}/drivers/midi
%dir %{_includedir}/%{name}/effects
%dir %{_includedir}/%{name}/engines
%dir %{_includedir}/%{name}/plugins
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/common/*.h
%{_includedir}/%{name}/drivers/*.h
%{_includedir}/%{name}/drivers/audio/*.h
%{_includedir}/%{name}/drivers/midi/*.h
%{_includedir}/%{name}/effects/*.h
%{_includedir}/%{name}/engines/*.h
%{_includedir}/%{name}/plugins/*.h
%{_libdir}/pkgconfig/%{name}.pc
#{_libdir}/dssi/*.a
%{_libdir}/dssi/*.so
#{_libdir}/lv2/%%{name}.lv2/*.a
%{_libdir}/lv2/%{name}.lv2/*.so
%{_libdir}/lv2/%{name}.lv2/*.ttl
#{_libdir}/%%{name}/liblinuxsampler.a
%{_libdir}/%{name}/liblinuxsampler.so

#--------------------------------------------------------------------

%prep
%setup -qn %{name}-%{version}
# Merged upstream
#perl -pi -e "s/append\(element\)/this->append\(element\)/g" src/common/Pool.h


%build
%configure2_5x	--disable-static \
		--disable-arts-driver \
		--disable-artstest \
		--disable-midishare-driver
%make


%install
%makeinstall_std


cat > %{buildroot}/%{_prefix}/README.urpmi <<EOF

WARNING
-------
LinuxSampler is licensed under the GNU GPL with the exception that 
USAGE of the source code, libraries and applications FOR COMMERCIAL 
HARDWARE OR SOFTWARE PRODUCTS IS NOT ALLOWED  without prior written 
permission by the LinuxSampler authors. If you have questions on the 
subject, that are not yet covered by the FAQ, please contact us.

EOF

%changelog

* Sat Feb 10 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.0.0-4
- (b995915) Bump release


